## org.apache.lucene.analysis.ngram
Class NGramTokenizerFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenizerFactory
              org.apache.lucene.analysis.ngram.NGramTokenizerFactory

    public class NGramTokenizerFactory

extends TokenizerFactory

Factory for `NGramTokenizer`.

     <fieldType name="text_ngrm" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.NGramTokenizerFactory" minGramSize="1" maxGramSize="2"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`args, luceneMatchVersion`

Constructor Summary
`NGramTokenizerFactory()`

Method Summary
`NGramTokenizer` `create(Reader input)` Creates the `TokenStream` of n-grams from the given `Reader`.
`void` `init(Map<String,String> args)` Initializes the n-gram min and max sizes and the side from which one should start tokenizing.

Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory
`availableTokenizers, forName, lookupClass, reloadTokenizers`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NGramTokenizerFactory

    public NGramTokenizerFactory()

Method Detail

### init

    public void init(Map<String,String> args)

  Initializes the n-gram min and max sizes and the side from which one should start tokenizing.

  Overrides:
    `init` in class `AbstractAnalysisFactory`

### create

    public NGramTokenizer create(Reader input)

  Creates the `TokenStream` of n-grams from the given `Reader`.

  Specified by:
    `create` in class `TokenizerFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.